# Gimp.Image.new_with_precision

    function new_with_precision(width: Number(gint), height: Number(gint), type: Gimp.ImageBaseType, precision: Gimp.Precision): Gimp.Image {
        // Gjs wrapper for gimp_image_new_with_precision()
    }

Creates a new image with the specified width, height, type and precision.

Creates a new image, undisplayed with the specified extents, type and precision. Indexed images can only be created at GIMP_PRECISION_U8_NON_LINEAR precision. See Gimp.Image.new for further details.

Since 2.10

width

  The width of the image.

height

  The height of the image.

type

  The type of image.

precision

  The precision.

Returns

  The newly created image.